Subject: Re: Problem with memcpy on ppc8536

From: Wolfram Sang <[email-masked]>
Date: Fri, 19 Jun 2009 19:51:05 +0200

On Fri, Jun 19, 2009 at 07:06:18PM +0200, Lorenz Kolb wrote:

> Could you please try the following patch, I am quite sure that checking  
> for > 4 was accidentially done within io.c instead of >= 4 as if it's 4  
> we still can copy a 32-bit word. Some hardware might not be happy about  
> 8-bit accesses...

There seems to be desire for this fix:

http://lists.ozlabs.org/pipermail/linuxppc-dev/2009-May/072582.html

If it works here, too, then you could maybe also ack it?

BTW, I can't find the original patch in patchwork, maybe the patch was missed
because of that?

Regards,

   Wolfram

-- 
Pengutronix e.K.                           | Wolfram Sang                |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |